<Input::Options::ModelItem
  @value={{this.source}}
  @space={{@space}}
  @onChange={{this.changeSource}}
  @model='feature'
  ...attributes
/>

<Input::Options::Frame @title={{capitalize (t 'elements')}} class='elements'>
  <div class='form-check form-switch'>
    <Input
      class='form-check-input input-fullscreen'
      id='{{this.elementId}}-fullscreen'
      @checked={{this.elementsFullscreen}}
      @type='checkbox'
    />
    <label class='form-check-label' for='{{this.elementId}}-fullscreen'>
      {{t 'fullscreen'}}
    </label>
  </div>

  <div class='form-check form-switch'>
    <Input
      class='form-check-input input-zoom'
      id='{{this.elementId}}-zoom'
      @checked={{this.elementsZoom}}
      @type='checkbox'
    />
    <label class='form-check-label' for='{{this.elementId}}-zoom'>
      {{t 'zoom'}}
    </label>
  </div>

  <div class='form-check form-switch'>
    <Input
      class='form-check-input input-download'
      id='{{this.elementId}}-download'
      @checked={{this.elementsDownload}}
      @type='checkbox'
    />
    <label class='form-check-label' for='{{this.elementId}}-download'>
      {{t 'download'}}
    </label>
  </div>

  <div class='form-check form-switch'>
    <Input
      class='form-check-input input-map-license'
      id='{{this.elementId}}-map-license'
      @checked={{this.elementsMapLicense}}
      @type='checkbox'
    />
    <label class='form-check-label' for='{{this.elementId}}-map-license'>
      {{t 'map license'}}
    </label>
  </div>

  <div class='form-check form-switch'>
    <Input
      class='form-check-input input-base-map-license'
      id='{{this.elementId}}-base-map-license'
      @checked={{this.elementsBaseMapLicense}}
      @type='checkbox'
    />
    <label class='form-check-label' for='{{this.elementId}}-base-map-license'>
      {{t 'base map license'}}
    </label>
  </div>

</Input::Options::Frame>

<Input::Options::Frame
  @title={{capitalize (t 'border')}}
  class='border-options'
>
  <Editor::Properties::Border
    @classes={{this.borderClasses}}
    @onChange={{this.borderClassesChanged}}
  />
</Input::Options::Frame>